osmo_fd Struct Reference
Select loop abstraction

Structure representing a file dsecriptor. More...

`#include <select.h>`

## Data Fields

struct llist_head | list
int | fd
unsigned int | when
int(* | cb )(struct osmo_fd *fd, unsigned int what)
void * | data
unsigned int | priv_nr

## Detailed Description

Structure representing a file dsecriptor.

## Field Documentation

## cb

int(* osmo_fd::cb) (struct osmo_fd *fd, unsigned int what)

call-back function to be called once file descriptor becomes available

Referenced by gsmtap_source_add_sink(), and osmo_wqueue_init().

## data

void* osmo_fd::data

data pointer passed through to call-back function

## fd

int osmo_fd::fd

actual operating-system level file decriptor

Referenced by gsmtap_inst_fd(), gsmtap_source_add_sink(), gsmtap_source_init(), osmo_fd_init_ofd(), osmo_fd_register(), and osmo_select_main().

## list

struct llist_head osmo_fd::list

linked list for internal management

## priv_nr

unsigned int osmo_fd::priv_nr

private number, extending data

## when

unsigned int osmo_fd::when

bit-mask or of BSC_FD_READ, BSC_FD_WRITE and/or BSC_FD_EXCEPT

Referenced by gsmtap_source_add_sink(), osmo_fd_init_ofd(), osmo_select_main(), osmo_wqueue_bfd_cb(), osmo_wqueue_clear(), and osmo_wqueue_enqueue().

The documentation for this struct was generated from the following file:

- include/osmocom/core/select.h